#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    int t;
    cin>>t;
    int n,m;
    for(int i=0;i<t;i++)
    {
        int n,m;
        cin>>n>>m;
    }
   for(int i=0;i<t;i++)
        cout<<-1<<endl;
return 0;}